#### D.7.3.1 HilbertSeries

Procedure from library `rinvar.lib` (see rinvar_lib).

Usage:
  HilbertSeries(I, w); ideal I, intvec wt

Purpose:
  compute the polynomial p of the Hilbert Series, represented by p/q, of the ring K[t_1,...,t_m,y_1,...,y_r]/I1 where 'w' are the weights of the variables, computed, e.g., by 'HilbertWeights', 'I1' is of the form I[1] - y_1,...,I[r] - y_r and is quasihomogenous w.r.t. 'w'

Return:
  intvec

Note:
  the leading 0 of the result does not belong to p, but is needed in the Hilbert driven 'std'.

User manual for Singular version 4.4.1, 2025, generated by texi2html.